Subject: Re: bug#16507: [RFC] Add a systemd service file for dealing with emacs --daemon.

From: Glenn Morris <[email-masked]>
Date: Mon, 08 Dec 2014 12:03:23 -0500

Rüdiger Sonderfeld wrote:

> I'm a bit afraid that using the directory given by systemd might be
> confusing because it won't respect the prefix set by the user. E.g.,
> Emacs being installed to /usr/local but the service file going to
> /usr/lib/systemd/user.

I agree that that is an issue. Personally I think you should respect
the user's prefix. For example, I often install software as a non-root
user into my local software space, and it's always annoying when
things try to install files into /usr (which fails due to lack of
permission).

It's going to take a bit of know-how to actually enable the service,
and I think people doing that will be able to cope with copying
the file to the appropriate location if they need to.